 =============================================
  EliXa global polarity classification models
 =============================================

  

 --------------------------------------------------
 Version: 1.0
 Last update: (2018/12/21)
 
 Changelog:
	These models work for Elixa >= 1.0 releases. Model accuracy has been improved mainly by changing de algorithm to linear SVM (LIBLINEAR).
	IMPORTANT: This models are not compatible with previous EliXa releases which do not contain LIBLINEAR.

 Previous versions: 
	  - 0.9.2 (2017/04/19)
		   - last official release.
          - 0.9 (2017/04/03)
                   - models are the same, but no Elixa configuration file existed.
          - 0.8 (2016/01/18)  
                   - Ixa-pipe-pos 1.4.0 models
 
 Authors: Iñaki San Vicente (i.sanvicente@elhuyar.eus), Xabier Saralegi (x.saralegi@elhuyar.eus)
          Elhuyar Foundation, R&D department. 
 --------------------------------------------------
 
 This tarball contains Elixa models for global polarity classification of messages in 4 languages (en,es,eu,fr) trained over Twitter
 data obtained in the contest of the Behagunea (Behagunea.dss2016.eu) project.
 Training datasets are specific of the topic "San Sebastian 2016 European Capital of Culture". 
 More info on the models performance comming soon.



 .model files contain the binary models 
 .cfg files contain the configuration files required by Elixa to run the models. 
 .rslt files contain the result of 10-fold cross validation evaluations for the models.

 IMPORTANT: paths in the configuration files must be changed to match your own setup

 ===============
  USAGE
 ===============


 Unzip the contents of this tarball in the src/main/resources directory of your EliXa source directory.

   The "elixa-models.txt" file in this directory is read when EliXa is initialized to see which are the available models for polarity classification. 
   If you want to include new models permanently in your EliXa installation, copy them to this folder (.cfg and .model must exist), and add the new entries to the "elixa-models.txt" file as follows:
           "lang-[modeltype]<tab>nameOfthePolarityModelWithoutExtension" 
                 
 IMPORTANT: Apart from the resources contained here the user can provide a custom polarity model to EliXa, using the "--model|-m" command line argument.



 ==============================
  LICENSE
 ==============================

 Copyright 2016 Elhuyar Fundazioa

 This file is part of EliXa.

    EliXa is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    EliXa is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with EliXa.  If not, see <http://www.gnu.org/licenses/>.


